SDL_SwapBE16(3)

NAME
SDL_SwapBE16 - Swap a 16-bit value from bigendian to native byte order.

HEADER FILE
Defined in SDL3/SDL_endian.h

SYNOPSIS
#include "SDL3/SDL.h"

#define SDL_SwapBE16(x) SwapOnlyIfNecessary(x)

DESCRIPTION
If this is running on a bigendian system, x is returned unchanged. This macro never references x more than once, avoiding side effects.

RETURN VALUE
Returns x in native byte order.

AVAILABILITY
This macro is available since SDL 3.0.0.